Integration health, per source and subtype
curl --request GET \
--url https://api.statisfy.com/v1/integrations/monitoring \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.statisfy.com/v1/integrations/monitoring"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.statisfy.com/v1/integrations/monitoring', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/integrations/monitoring",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/integrations/monitoring"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.statisfy.com/v1/integrations/monitoring")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/integrations/monitoring")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"enabled": true,
"failure_streak": 123,
"integration_key": "<string>",
"is_scheduled": true,
"last_failure_at": "2023-11-07T05:31:56Z",
"last_run": {
"duration_seconds": 123,
"ended_at": "2023-11-07T05:31:56Z",
"id": 123,
"message": "<string>",
"run_type": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"status": "in_progress"
},
"last_success_at": "2023-11-07T05:31:56Z",
"schedule": {
"cadence": "<string>",
"interval_minutes": 123,
"layer": "db",
"layers": {
"db": "<string>",
"default": "<string>",
"hardcoded": "<string>"
},
"weekly_detail": "<string>"
},
"source": "<string>",
"stale_status": "<string>",
"status": "healthy",
"subtype": "<string>"
}
]
}integrations
Integration health, per source and subtype
The app’s Integrations > View monitoring table: one row per (source, subtype) the workspace syncs, whether scheduled or started by events, with its status over the last 5 runs (healthy, degraded, failed, never_ran, disabled), the failure streak, whether it stopped or fell behind its schedule (stale_status), when it last succeeded and failed, its last run with its error, and its schedule: the cadence and the layer it comes from (the workspace’s own, the integration’s built-in, or Statisfy’s default). Not paged: one row per sync. For a row’s run history, GET /v1/integrations//runs?subtype=. Read only.
GET
/
v1
/
integrations
/
monitoring
Integration health, per source and subtype
curl --request GET \
--url https://api.statisfy.com/v1/integrations/monitoring \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.statisfy.com/v1/integrations/monitoring"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.statisfy.com/v1/integrations/monitoring', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/integrations/monitoring",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/integrations/monitoring"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.statisfy.com/v1/integrations/monitoring")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/integrations/monitoring")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"enabled": true,
"failure_streak": 123,
"integration_key": "<string>",
"is_scheduled": true,
"last_failure_at": "2023-11-07T05:31:56Z",
"last_run": {
"duration_seconds": 123,
"ended_at": "2023-11-07T05:31:56Z",
"id": 123,
"message": "<string>",
"run_type": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"status": "in_progress"
},
"last_success_at": "2023-11-07T05:31:56Z",
"schedule": {
"cadence": "<string>",
"interval_minutes": 123,
"layer": "db",
"layers": {
"db": "<string>",
"default": "<string>",
"hardcoded": "<string>"
},
"weekly_detail": "<string>"
},
"source": "<string>",
"stale_status": "<string>",
"status": "healthy",
"subtype": "<string>"
}
]
}Authorizations
An API key, sent as Authorization: Bearer stfy_live_…. See Authentication for how to get one and which scopes it needs.
Was this page helpful?